    import BaseLogger from 'mongoose-data-seed/src/lib/utils/base-logger.js'

public class | source

# BaseLogger

#### Direct Subclass:

InstallerLogger, RunLogger

Base Logger

## Method Summary

Public Methods
public | asObserver(): Object Get the logger as observer |

## Public Methods

### public asObserver(): Object source

Get the logger as observer

#### Return:

Object | observer

#### Return Properties:

Name | Type | Attribute | Description
next | Function |  |
error | Function |  |
complete | Function |  |